Package com.databricks.jdbc.common.util

## Class DriverUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.DriverUtil

    public class DriverUtil
    extends Object

Utility class for operations related to the Databricks JDBC driver.

This class provides methods for retrieving version information, setting up logging and resolving metadata clients.

### Constructor Summary

Constructors
`DriverUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getDriverMajorVersion()`
`static int` `getDriverMinorVersion()`
`static String` `getDriverName()`
`static String` `getDriverVersion()`
`static int` `getJDBCMajorVersion()`
`static int` `getJDBCMinorVersion()`
`static boolean` `isRunningAgainstFake()` Returns whether the driver is running against fake services based on request/response stubs.
`static void` `resolveMetadataClient​(IDatabricksConnectionInternal connection)`
`static void` `setUpLogging​(IDatabricksConnectionContext connectionContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DriverUtil

    public DriverUtil()

### Method Detail

#### getDriverVersion

    public static String getDriverVersion()

#### getDriverName

    public static String getDriverName()

#### getDriverMajorVersion

    public static int getDriverMajorVersion()

#### getDriverMinorVersion

    public static int getDriverMinorVersion()

#### getJDBCMajorVersion

    public static int getJDBCMajorVersion()

#### getJDBCMinorVersion

    public static int getJDBCMinorVersion()

#### resolveMetadataClient

    public static void resolveMetadataClient​(IDatabricksConnectionInternal connection)
                                      throws DatabricksValidationException

Throws:
  `DatabricksValidationException`

#### setUpLogging

    public static void setUpLogging​(IDatabricksConnectionContext connectionContext)
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### isRunningAgainstFake

    public static boolean isRunningAgainstFake()

Returns whether the driver is running against fake services based on request/response stubs.